Subject: bug#75384: closed (Re: [bug#75384] [PATCH 0/4] Bump node-lts to 22.12.0)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Feb 2025 13:18:03 +0000

Your bug report

#75384: [PATCH 0/4] Bump node-lts to 22.12.0

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75384: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75384
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#75384] [PATCH 0/4] Bump node-lts to 22.12.0
From: Jelle Licht <[email-masked]>
To: Ricardo Wurmus <[email-masked]>, [email-masked]
Date: Tue, 11 Feb 2025 14:17:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ricardo Wurmus <[email-masked]> writes:

> As discussed on IRC, I have created a jobset on ci.guix.gnu.org for the
> "node-team" branch, which now builds this change for x86_64.

Merged + Closed after rebasing it several times on master and seeing no new regressions.
Thanks for the reviews and any other assistance all!
 - Jelle

Subject: [PATCH 0/4] Bump node-lts to 22.12.0
From: [email-masked]
To: [email-masked]
Cc: Jelle Licht <[email-masked]>
Date: Sun, 5 Jan 2025 18:48:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

From: Jelle Licht <[email-masked]>

Hi all, this series bumps node-lts to version 22.12.0.

I had to reintroduce a c-ares package variant specific to node-lts, as well as
disable some tests that did not work in the build container for one reason or
another.

To keep the llhttp-bootstrap dance as short as possible, I've adapted a
so-called ponyfill[0] for Object.fromEntries so we can directly build llhttp
9.2.1 using our node-bootstrap package.

[0] https://github.com/feross/fromentries/tree/master#what-is-a-ponyfill

Jelle Licht (4):
  gnu: Add c-ares-for-node-lts.
  gnu: libuv-for-node-lts: Update to 1.49.1.
  gnu: llhttp-bootstrap: Update to 9.2.1.
  gnu: node-lts: Update to 22.12.0.

 gnu/local.mk                                  |  1 +
 gnu/packages/adns.scm                         | 15 ++++++
 gnu/packages/libevent.scm                     | 12 +----
 gnu/packages/node.scm                         | 23 ++++++----
 .../llhttp-ponyfill-object-fromentries.patch  | 46 +++++++++++++++++++
 5 files changed, 77 insertions(+), 20 deletions(-)
 create mode 100644 gnu/packages/patches/llhttp-ponyfill-object-fromentries.patch

base-commit: 67a535351f8678969e412e8dba9197a883b524d0
-- 
2.47.1